<?php   if(!defined('DEDEINC')) exit('Request Error!');
/**
 * 獲得責任編輯名稱
 *
 * @version        $Id: adminname.lib.php 2 8:48 2010年7月8日Z tianya $
 * @package        DedeCMS.Taglib
 * @copyright      Copyright (c) 2007 - 2010, DesDev, Inc.
 * @license        http://help.dedecms.com/usersguide/license.html
 * @link           http://www.dedecms.com
 */

 /**
 *  獲得責任編輯名稱
 *
 * @access    public
 * @param     object  $ctag  解析標籤
 * @param     object  $refObj  引用對像
 * @return    string  成功後返回解析後的標籤內容
 */
 
 /*>>dede>>
<name>責任編輯</name> 
<type>僅內容模板</type> 
<for>V55,V56,V57</for>
<description>獲得責任編輯名稱</description>
<demo>
{dede:adminname /}	
</demo>
<attributes>
</attributes> 
>>dede>>*/

function lib_adminname(&$ctag, &$refObj)
{
    global $dsql;
    if(empty($refObj->Fields['dutyadmin']))
    {
        $dutyadmin = $GLOBALS['cfg_df_dutyadmin'];
    }
    else
    {
        $row = $dsql->GetOne("SELECT uname FROM `#@__admin` WHERE id='{$refObj->Fields['dutyadmin']}' ");
        $dutyadmin = isset($row['uname']) ? $row['uname'] : $GLOBALS['cfg_df_dutyadmin'];
    }
    return $dutyadmin;
}